<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\Relations\HasOne;

class ClientStickyNote extends Model
{
    protected $table = 'client_sticky_note';

    public function createdBy(): HasOne
    {
        return $this->hasOne(AppSession::class, 'id', 'created_by_session_id');
    }

    public function client(): HasOne
    {
        return $this->hasOne(Client::class, 'id', 'client_id');
    }
}
